Search Projects
curl --request POST \
--url https://api.virtuoussoftware.com/api/Project/Search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"search": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({search: '<string>'})
};
fetch('https://api.virtuoussoftware.com/api/Project/Search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Project/Search"
payload = { "search": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Project/Search");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"search\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Project/Search';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({search: '<string>'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"list": [
{
"id": "<integer>",
"name": "<string>",
"projectCode": "<string>",
"externalAccountingCode": "<string>",
"onlineDisplayName": "<string>",
"description": "<string>",
"photoUrl": "<string>",
"parentId": "<integer>",
"parentName": "<string>",
"isSubProject": "<boolean>",
"inventoryStatus": "<string>",
"type": "<string>",
"location": "<string>",
"isRestrictedToGiftSpecifications": "<boolean>",
"isLimitedToFinancialNeed": "<boolean>",
"isPublic": "<boolean>",
"isActive": "<boolean>",
"isAvailableOnline": "<boolean>",
"isTaxDeductible": "<boolean>",
"treatAsAccountsPayable": "<boolean>",
"beginningBalance": "<double>",
"currentBalance": "<double>",
"financialNeedType": "<string>",
"financialNeedFrequency": "<string>",
"financialNeedAmount": "<double>",
"startDate": "<dateTime>",
"endDate": "<dateTime>",
"durationType": "<string>",
"lifeToDateGiving": "<double>",
"lifeToDateGiftCount": "<integer>",
"lifeToDateGiversCount": "<integer>",
"lifeToDateExpenseTotal": "<double>",
"calendarYearToDateGiving": "<double>",
"calendarYearToDateGiftCount": "<integer>",
"calendarYearToDateGiversCount": "<integer>",
"calendarYearToDateExpenseTotal": "<double>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"giftSpecifications": [
{
"amount": "<double>",
"frequency": "<string>"
},
{
"amount": "<double>",
"frequency": "<string>"
}
],
"customFields": "<object>"
},
{
"id": "<integer>",
"name": "<string>",
"projectCode": "<string>",
"externalAccountingCode": "<string>",
"onlineDisplayName": "<string>",
"description": "<string>",
"photoUrl": "<string>",
"parentId": "<integer>",
"parentName": "<string>",
"isSubProject": "<boolean>",
"inventoryStatus": "<string>",
"type": "<string>",
"location": "<string>",
"isRestrictedToGiftSpecifications": "<boolean>",
"isLimitedToFinancialNeed": "<boolean>",
"isPublic": "<boolean>",
"isActive": "<boolean>",
"isAvailableOnline": "<boolean>",
"isTaxDeductible": "<boolean>",
"treatAsAccountsPayable": "<boolean>",
"beginningBalance": "<double>",
"currentBalance": "<double>",
"financialNeedType": "<string>",
"financialNeedFrequency": "<string>",
"financialNeedAmount": "<double>",
"startDate": "<dateTime>",
"endDate": "<dateTime>",
"durationType": "<string>",
"lifeToDateGiving": "<double>",
"lifeToDateGiftCount": "<integer>",
"lifeToDateGiversCount": "<integer>",
"lifeToDateExpenseTotal": "<double>",
"calendarYearToDateGiving": "<double>",
"calendarYearToDateGiftCount": "<integer>",
"calendarYearToDateGiversCount": "<integer>",
"calendarYearToDateExpenseTotal": "<double>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"giftSpecifications": [
{
"amount": "<double>",
"frequency": "<string>"
},
{
"amount": "<double>",
"frequency": "<string>"
}
],
"customFields": "<object>"
}
],
"total": "<integer>"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}How to Get Projects
Search Projects
POST
/
api
/
Project
/
Search
Search Projects
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of records to skip. Default = 0.
The number of records to take. Default = 10.
Body
application/json
Last modified on July 24, 2026
Was this page helpful?
⌘I